> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-splice-openapi-manual-pages-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all instruments managed by this instrument admin

<div class="x2mdx-ref-page x2mdx-ref-page--operation x2mdx-ref-page--manual-api" />

<div class="x2mdx-ref-hero">
  <p class="x2mdx-ref-eyebrow">Token Metadata Service</p>

  <h1 class="x2mdx-ref-title">List all instruments managed by this instrument admin</h1>

  <div class="x2mdx-ref-badges">
    <span class="x2mdx-ref-badge x2mdx-ref-badge--protocol">OpenAPI</span>

    <span class="x2mdx-ref-badge x2mdx-ref-badge--added">Since 0.5.10</span>

    <span class="x2mdx-ref-badge x2mdx-ref-badge--changed">Changed 0.6.12</span>
  </div>
</div>

List all instruments managed by this instrument admin.

## Protocol Details

<div class="x2mdx-ref-meta-grid">
  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Operation ID</span>
    <span class="x2mdx-ref-meta-value">listInstruments</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Published</span>
    <span class="x2mdx-ref-meta-value">0.7.4</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Specification</span>
    <span class="x2mdx-ref-meta-value"><a href="/openapi/splice/token-standard/token-metadata-v1.yaml">Download OpenAPI</a></span>
  </div>
</div>

## Inputs

### Query parameters

<ParamField query="pageSize" type="number" default="25">
  OpenAPI type: `integer (int32)`.

  Number of instruments per page.
</ParamField>

<ParamField query="pageToken" type="string">
  The `nextPageToken` received from the response for the previous page.
</ParamField>

## Outputs

### 200

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="instruments" type="Instrument[]" required />

<ResponseField name="nextPageToken" type="string">
  The token for the next page of results, to be used as the lastInstrumentId for the next page.
</ResponseField>

### 404

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="error" type="string" required />

### 500

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="error" type="string" required />

## History

<div class="x2mdx-ref-history" aria-label="Reference history">
  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--changed">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Changed</span>
      <code class="x2mdx-ref-history-event-version">0.6.12</code>
    </div>

    <p class="x2mdx-ref-history-event-detail">The GET /registry/metadata/v1/instruments operation changed in this snapshot.</p>
  </div>

  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--changed">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Changed</span>
      <code class="x2mdx-ref-history-event-version">0.6.11</code>
    </div>

    <p class="x2mdx-ref-history-event-detail">The GET /registry/metadata/v1/instruments operation changed in this snapshot.</p>
  </div>

  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--introduced">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Introduced</span>
      <code class="x2mdx-ref-history-event-version">0.5.10</code>
    </div>
  </div>
</div>

<RequestExample>
  ```bash Request theme={null}
  curl --request GET \
    --url 'https://example.com/registry/metadata/v1/instruments'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 response theme={null}
  {
    "instruments": [
      {}
    ],
    "nextPageToken": "string"
  }
  ```
</ResponseExample>
